Package owl.grammar

## Class TLSFParser.TlsfContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - owl.grammar.TLSFParser.TlsfContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`
  Enclosing class:
    TLSFParser

      public static class TLSFParser.TlsfContext
      extends org.antlr.v4.runtime.ParserRuleContext

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.antlr.v4.runtime.Token` | `description` |
    `org.antlr.v4.runtime.Token` | `title` |

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlsfContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `DESCRIPTION()` |
    `void` | `enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `EOF()` |
    `void` | `exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)` |
    `int` | `getRuleIndex()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `INFO()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `INFO_END()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `INFO_START()` |
    `List<org.antlr.v4.runtime.tree.TerminalNode>` | `INFO_STRING()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `INFO_STRING​(int i)` |
    `TLSFParser.InputContext` | `input()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `MAIN()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `MAIN_END()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `MAIN_START()` |
    `TLSFParser.OutputContext` | `output()` |
    `TLSFParser.SemanticsContext` | `semantics()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `SEMANTICS()` |
    `List<TLSFParser.SpecificationContext>` | `specification()` |
    `TLSFParser.SpecificationContext` | `specification​(int i)` |
    `TLSFParser.TargetContext` | `target()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `TARGET()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `TITLE()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

- - ### Field Detail

    - #### title

          public org.antlr.v4.runtime.Token title

    - #### description

          public org.antlr.v4.runtime.Token description

  - ### Constructor Detail

    - #### TlsfContext

          public TlsfContext​(org.antlr.v4.runtime.ParserRuleContext parent,
                             int invokingState)

  - ### Method Detail

    - #### INFO

          public org.antlr.v4.runtime.tree.TerminalNode INFO()

    - #### INFO_START

          public org.antlr.v4.runtime.tree.TerminalNode INFO_START()

    - #### TITLE

          public org.antlr.v4.runtime.tree.TerminalNode TITLE()

    - #### DESCRIPTION

          public org.antlr.v4.runtime.tree.TerminalNode DESCRIPTION()

    - #### SEMANTICS

          public org.antlr.v4.runtime.tree.TerminalNode SEMANTICS()

    - #### semantics

          public TLSFParser.SemanticsContext semantics()

    - #### TARGET

          public org.antlr.v4.runtime.tree.TerminalNode TARGET()

    - #### target

          public TLSFParser.TargetContext target()

    - #### INFO_END

          public org.antlr.v4.runtime.tree.TerminalNode INFO_END()

    - #### MAIN

          public org.antlr.v4.runtime.tree.TerminalNode MAIN()

    - #### MAIN_START

          public org.antlr.v4.runtime.tree.TerminalNode MAIN_START()

    - #### input

          public TLSFParser.InputContext input()

    - #### output

          public TLSFParser.OutputContext output()

    - #### MAIN_END

          public org.antlr.v4.runtime.tree.TerminalNode MAIN_END()

    - #### EOF

          public org.antlr.v4.runtime.tree.TerminalNode EOF()

    - #### INFO_STRING

          public List<org.antlr.v4.runtime.tree.TerminalNode> INFO_STRING()

    - #### INFO_STRING

          public org.antlr.v4.runtime.tree.TerminalNode INFO_STRING​(int i)

    - #### specification

          public List<TLSFParser.SpecificationContext> specification()

    - #### specification

          public TLSFParser.SpecificationContext specification​(int i)

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### enterRule

          public void enterRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule​(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### accept

          public <T> T accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends T> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`